Package org.apache.catalina.valves.rewrite

## Class RewriteCond.PatternCondition

- java.lang.Object
- - org.apache.catalina.valves.rewrite.RewriteCond.Condition
  - - org.apache.catalina.valves.rewrite.RewriteCond.PatternCondition

Enclosing class:
  RewriteCond

    public static class RewriteCond.PatternCondition
    extends RewriteCond.Condition

### Field Summary

Fields
`Pattern` `pattern`

### Constructor Summary

Constructors
`PatternCondition()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `evaluate​(String value, Resolver resolver)`
`Matcher` `getMatcher()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pattern

    public Pattern pattern

### Constructor Detail

#### PatternCondition

    public PatternCondition()

### Method Detail

#### evaluate

    public boolean evaluate​(String value,
                            Resolver resolver)

Specified by:
  `evaluate` in class `RewriteCond.Condition`

#### getMatcher

    public Matcher getMatcher()